<cfset fileName = 
       expandPath("Complex.xml")>

<cffile action = "read" file="#fileName#" 
        variable="xmlText">

<cfset xmlObject = xmlParse(xmlText)>

<cfset nodes = XMLSearch(xmlObject, 
       "/purchaseOrders/purchaseOrder/customerInfo[../products/product/discount > 0]")>

<h1>Customers who received a discount</h1>

<cfoutput>
   <cfloop index="i" from="1" to="#arrayLen(nodes)#">
      <cfset e = nodes[i]>
      <h2>#e.firstName.xmlText# #e.mi.xmlText# #e.lastName.xmlText#</h2>
   </cfloop>
</cfoutput>


