<?xml version='1.0'?>
<xsl:stylesheet version='1.0' xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>
   
   
   <xsl:template match="/">

   	<customerList>
         <xsl:apply-templates select="*"/>
      </customerList>

   </xsl:template> 
   
   
   <xsl:template match="/purchaseOrders/purchaseOrder/customerInfo">
      
      <customer>

	      <xsl:attribute name="customerId">
	         <xsl:value-of select="@customerId"/>
	      </xsl:attribute> 
	      
	      <xsl:attribute name="firstName">
	         <xsl:value-of select="firstName"/>
	      </xsl:attribute> 
	      
	      <xsl:attribute name="mi">
	         <xsl:value-of select="mi"/>
	      </xsl:attribute> 
	      
	      <xsl:attribute name="lastName">
	         <xsl:value-of select="lastName"/>
	      </xsl:attribute> 
      
      </customer>

   </xsl:template> 

   <xsl:template match="*">
		
		<!-- Ignore anything else -->
      <xsl:apply-templates select="*"/>

   </xsl:template> 
   
</xsl:stylesheet>
